package com.steerinfo.dil.service;

import com.steerinfo.dil.model.TmstruckLoadResult;
import com.steerinfo.framework.service.IBaseService;

import java.util.List;
import java.util.Map;

/**
 * TmstruckLoadResult服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-02 10:38
 * 类描述
 * 修订历史：
 * 日期：2021-09-02
 * 作者：generator
 * 参考：
 * 描述：TmstruckLoadResult服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITmstruckLoadResultService{
    //查询所有的装车实绩
    List<Map<String, Object>> getAllLoadResult(Map<String, Object> map);

    //新增装车实绩
    int addLoadResult(Map<String, Object> map);

    //新增虚拟装车实绩
    int addSaleLoadResult(Map<String, Object> map);

    //修改装车作业
    int updateLoadResult(TmstruckLoadResult tmstruckLoadResult);

    //通过Id获取装车实绩 数据 用于修改
    List<Map<String, Object>> getLoadResultById(Integer resultId);

    //逻辑删除装车作业
    int deleteLoadResult(Integer resultId);


    //修改装车作业作业点
    int updateLoadingId(List<Map<String, Object>> map);

    //销售查询所有的装车实绩
    List<Map<String,Object>> selectLoadResultForSale(Map<String,Object> map);

    //内转物流，新增装车实绩
    int addLoadResultForconverted(Map<String,Object> map);

    //内转物流，修改装车实绩
    int updateLoadResultForconverted(Map<String,Object> map);

    //根据运输订单号查找装车实绩
    Map<String,Object> getLoadResultIdForOrderNumber(String orderNumber);

    //内转物流汽车装货展示
    List<Map<String,Object>> selectLoadResultForConverted(Map<String,Object> map);



    //通过实绩id渲染数据
    List<Map<String,Object>> selectLoadResultByResultId(Integer resultId);

    //内转物流火车装车新增装车实绩
    int addLoadResultForConverted(Map<String,Object> map);
}