package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.TmstruckQualityResultMapper;
import com.steerinfo.dil.model.TmstruckQualityResult;
import com.steerinfo.dil.
service.ITmstruckQualityResultService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * TmstruckQualityResult服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-11 04:14
 * 类描述
 * 修订历史：
 * 日期：2021-09-11
 * 作者：generator
 * 参考：
 * 描述：TmstruckQualityResult服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tmstruckQualityResultService")
public class TmstruckQualityResultServiceImpl implements ITmstruckQualityResultService {

    @Autowired
    private TmstruckQualityResultMapper tmstruckQualityResultMapper;

    /**
     * 查询所有的质检作业
     * @param map
     * @return
     */
    @Override
    public List<Map<String, Object>> getQualityResult(Map<String, Object> map) {
        return tmstruckQualityResultMapper.getQualityResult(map);
    }

    /**
     * 通过Id查询质检作业 用于修改显示
     * @param resultId
     * @return
     */
    @Override
    public List<Map<String, Object>> getQualityResultById(Integer resultId) {
        return tmstruckQualityResultMapper.getQualityResultById(resultId);
    }

    /**
     * 修改质检作业
     * @param tmstruckQualityResult
     * @return
     */
    @Override
    public int updateQualityResult(TmstruckQualityResult tmstruckQualityResult) {
        tmstruckQualityResult.setUpdateUsername("admin");
        tmstruckQualityResult.setUpdateTime(new Date());
        tmstruckQualityResultMapper.updateByPrimaryKeySelective(tmstruckQualityResult);
        return 0;
    }

    @Override
    public List<Map<String, Object>> selectQualityResultForConverted(Map<String, Object> map) {
        return tmstruckQualityResultMapper.selectQualityResultForConverted(map);
    }
}
